# PDB File Viewer

## Overview
The PDB File Viewer module allows you to visualize Protein Data Bank (PDB) files directly in Drupal. It integrates with the NGL library to render 3D molecular structures in an interactive viewer.

## Features
- Supports interactive 3D visualization of PDB files.
- Customizable display options for molecular rendering.
- Configurable library source (local or external).

## Requirements
- Drupal 10.x
- PHP 8.1 or higher
- NGL library (can be used locally or from an external source)

## Installation
1. Download and install the module in your Drupal installation:
   ```bash
   composer require drupal/pdb_file_viewer
   ```
2. Enable the module via the Drupal UI or Drush:
   ```bash
   drush en pdb_file_viewer
   ```

## Using a Local Library
1. Download the NGL library from [https://unpkg.com/ngl](https://unpkg.com/ngl).
2. Move the `ngl.js` file to the following directory in your Drupal installation:
   ```
   pdb_file_viewer/libraries/
   ```
3. Go to **PDB File Viewer Configurations** in the Drupal admin interface.
4. Locate the **External Library Location Setting**.
5. Select the **Local** radio option to use the locally downloaded library.

## Configuration
1. Navigate to the **Manage Display** tab of the content type that includes the PDB file field.
2. Select the "PDB File Viewer" option for the desired file field.
3. Adjust configuration options, such as library source, viewer style, and rendering modes, as needed.

## Usage
Once configured, PDB files uploaded to the specified field will be rendered in an interactive 3D viewer using the NGL library.

## Contributing
Contributions are welcome! Feel free to open issues or submit pull requests to improve this module.

## License
This project is licensed under the GPL-2.0-or-later license. See the LICENSE file for details.

