(function ($, Drupal, drupalSettings) {
    'use strict';
    Drupal.behaviors.pdb_file_viewer = {
        attach: function(context, settings) {
            once('myPDBViewerBehavior', 'html').forEach(function () {
                // Apply the myCustomBehaviour effect to the elements only once.

                var file_path = drupalSettings.files.filepath;
                var file_extension = drupalSettings.files.fileextension;

                // Create NGL Stage object
                var stage = new NGL.Stage( "viewport" );

                // Handle window resizing
                window.addEventListener( "resize", function( event ){
                    stage.handleResize();
                }, false );

                // Load PDB entry 1CRN
                stage.loadFile( file_path, { defaultRepresentation: true, ext: file_extension });
            });
        }
    };
}(jQuery, Drupal, drupalSettings));
